php-cs-fixer php general error

  • A+
Categories:Program

I installed VS Code recently on a new PC and began to get this error.

It was very weird that all the extensions were not installed directly but were copied from my laptop, and on my laptop the VS Code worked really well.

I searched many times and also tried to fix it according to the search results, while most of them did not work. One guy said we could run the php-cs-fixer.phar directly and I did it as below:

So the reason was clear now.

I installed the new PC and new PHP7, and the version was latest 7.3.9, which was not supported by php-cs-fixer.phar.

I changed the PHP7.3 to PHP7.2 and such error disappeared.

Have to say, the error message 'php general error' did not help me.

Comment

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: